//	Roast+ License


#ifndef __SFJP_OPENMGL_roast_std_env_HPP__
#define __SFJP_OPENMGL_roast_std_env_HPP__

//#define _ROAST_NS_START		namespace roast{
//#define _ROAST_NS_END		}



#include <vector>
#include "roast/_common.hpp"

/***********************************************/

_ROAST_NS_START

/*template <typename container_type, typename container_ty_to, typename container_ty_from>
void container_convert(container_type<container_ty_to> &to, const container_type<container_ty_from> &from)
{

}*/

	template <typename container_to_T, typename container_from_T>
	void container_convert(container_to_T &to, container_from_T &from)
	{
	/*	for(size_t i=0; i<from.size(); i++)
			to.push_back(from[i]);*/
		container_from_T::iterator it = from.begin();
		for( ; it != from.end(); it++)
			to.push_back(it);
	}

	template <typename container_ty_to, typename container_ty_from>
	void stdvector_convert(std::vector<container_ty_to> &to, const std::vector<container_ty_from> &from)
	{
		//container_convert<std::vector, container_ty_to, container_ty_from>
		container_convert<std::vector<container_ty_to>, std::vector<container_ty_from>>
			(to, from);
	}

_ROAST_NS_END

#endif//__SFJP_OPENMGL_roast_std_env_HPP__
